#include<stdio.h>

unsigned long long Broj =  0; unsigned long long Br = 0;

void Permutacija(int p,  unsigned long a[],  unsigned long perm[], bool used[]){
	if(p==3){
		
		Br = perm[0];
		
		for(int i = 1; i < 3; i++){
			int x=10;
			while(perm[i] >= x) x *= 10;
			Br = Br * x + perm[i]; 
		}
		
		if(Br > Broj) Broj = Br;
	
	}
	else for(int i = 0; i < 3; i++) if(!used[i]){
		perm[p]=a[i];
		used[i]=true;
		Permutacija(p+1,a,perm,used);
		used[i]=false; 
	} 
}

main(){
	unsigned long niz[4], perm[4]; 
	bool used[4];
	for(int i=0; i < 3; i++) scanf("%lu", &niz[i]);
	Permutacija(0, niz, perm, used);
	printf("%llu\n", Broj);
}